<header ng-if="vm.currentFormType === vm.FormType.HOTEL">预订酒店</header>
<header ng-if="vm.currentFormType === vm.FormType.PLANE">预订机票</header>
<hr>
<form class="add-travel form-horizontal bordered-group" name="addTravelForm" novalidate='novalidate' ng-submit="methods.addTag()">
    <div ng-if="vm.currentFormType === vm.FormType.HOTEL">
        <div class="item">
            <div class="item-full">
                <label for=""><mark>*</mark>目的地</label>
                <div class="input-wrap" ng-class="{'has-error': vm.submitted && addTravelForm.destination.$invalid}">
                    <input type="text" class="form-control" name="destination" placeholder="酒店名/地标/商圈" required ng-model="vm.info.destination">
                </div>
            </div>
        </div>
        <div class="item datepicker">
            <div class="item-half form-group">
                <label for=""><mark>*</mark>入住日期</label>
                <div class="input-wrap" ng-class="{'has-error': vm.submitted && addTravelForm.checkIn.$invalid}">
                    <input type="text"  class="form-control" min-date="currentTime" max-date = "vm.info.checkOut" datepicker-popup is-open="$scope.homein.start" title="入住日期" name="checkIn" ng-click="$scope.homein.start=true" required readonly ng-model="vm.info.checkIn">
                </div>
            </div>
            <div class="item-half form-group">
                <label for=""><mark>*</mark>退房日期</label>
                <div class="input-wrap" ng-class="{'has-error': vm.submitted && addTravelForm.checkOut.$invalid}">
                    <input type="text" class="form-control"  min-date = "vm.info.checkIn" datepicker-popup is-open="$scope.homeout.start" title="入住日期" ng-click="$scope.homeout.start=true" name="checkOut" required readonly ng-model="vm.info.checkOut">
                </div>
            </div>
        </div>
        <div class="item">
            <div class="item-half form-group">
                <label for="">酒店级别</label>
                <div class="input-wrap">
                    <select class="form-control" list="vm.hotelLevelList" default-first go-dict="hotelLevel" name="hotelLevel" ng-model="vm.info.level.key" >
                    </select>
                </div>
            </div>
            <div class="item-half form-group">
                <label for=""><mark>*</mark>房间数量</label>
                <div class="input-wrap" ng-class="{'has-error': vm.submitted && addTravelForm.count.$invalid}">
                    <input type="text" class="form-control" placeholder="填写房间数量" name="count" ng-model="vm.info.count" required ng-pattern="reg.POSITIVEINTEGER"  maxlength="3"  >
                </div>
            </div>
        </div>
        <div class="item">
            <div class="item-half form-group"  ng-class="{'has-error': vm.submitted && addTravelForm.price.$invalid}">
                <label for="">单价不大于</label>
                <div class="input-wrap">
                    <input type="text" class="form-control" name="price" ng-model="vm.info.price" ng-pattern="reg.EXPENSE" maxLength='10'>
                </div>
            </div>
        </div>
    </div>
    <div ng-if="vm.currentFormType === vm.FormType.PLANE">
        <div class="item">
            <div class="item-half datepicker form-group" ng-class="{'has-error': vm.submitted && (addTravelForm.departAt.$invalid || addTravelForm.arriveAt.$invalid)}">
                <label for=""><mark>*</mark>起飞时段</label>
                <select style="width:75px" type="text" required name="departAt" class="form-control time has-error" ng-model="vm.info.departAt" ng-options="item.key as item.value for item in vm.timeList" ></select>
                <span>--</span>
                <select style="width:75px" type="text" name="arriveAt" required class="form-control time" ng-model="vm.info.arriveAt" ng-options="item.key as item.value for item in vm.timeList"></select>
            </div>
            <div class="item-half form-group">
                <label for=""><mark>*</mark>舱位等级</label>
                <select class="form-control" go-dict="shippingSpace" required list="vm.shippingSpaceList" default-first  name="shippingSpace" ng-model="vm.info.cabin.key" >
                </select>
            </div>
        </div>
    </div>
    <div ng-hide="vm.currentFormType === vm.FormType.HOTEL && vm.hideHotel">
        <div class="item">
            <div class="item-full">
                <label class="vertical-top" for="">点亮标签</label>
                <ul class="form-control tag-container">
                    <li ng-repeat="item in vm.sysTags" ng-class="{'selected': item.isChecked}" ng-click="methods.toggleSelectTags(item)">{{item.name}}</li>
                </ul>
            </div>
            <div class="custom-tag">
                <div class="create form-group">
                    <input type="text" class="form-control" ng-model="vm.tagName" placeholder="输入您的自定义标签" >
                    <button class="w100 btn btn-info" type="submit" ng-disabled="!vm.tagName">添加</button>
                </div>
                <div ng-show="vm.customTags.length">
                    <ul class="form-control tag-container">
                        <li ng-repeat="item in vm.customTags" ng-class="{'selected': item.isChecked}" ng-click="methods.toggleSelectTags(item)">{{item.name}} <span class="remove" ng-click="methods.removeCoustomTga(item.id, $event)" title="删除">x</span></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="item">
            <div class="item-full">
                <label class="vertical-top" for="">其他要求</label>
                <textarea class="form-control" rows="3" ng-model="vm.info.otherDemand"></textarea>
            </div>
        </div>
    </div>
    <div class="show-more" ng-show="vm.currentFormType === vm.FormType.HOTEL">
        <span ng-click="methods.toggleShowMoreInHotel()">{{vm.hideHotel ? '展开更多' : '收起'}}</span>
    </div>
    <div class="mt10 text-center btns">
        <button class="w100 btn btn-info" type="button" ng-click="methods.submit(vm.info, vm.isAddOprate)">保存</button>
        <button class="w100 btn btn-default" type="button" ng-click="methods.closeDialog()" style="margin-left: 10px;">取消</button>
    </div>
    <div class="text-center" ng-if="vm.submitted && addTravelForm.$invalid">
        <div class="error-panel mt20 ml30">
            <span>请核对输入内容</span>
        </div>
    </div>
</form>
